Commit bf7a78983618c15080aa80e7b25b0eca7c68144a
1 parent
8cd606d2
no message
Showing
2 changed files
with
39 additions
and
29 deletions
CNLiveMineModule/Classes/Controller/CNLiveMineController.m
| @@ -312,8 +312,8 @@ static const CGFloat timeValue = 1.5; | @@ -312,8 +312,8 @@ static const CGFloat timeValue = 1.5; | ||
| 312 | { | 312 | { |
| 313 | if(tag == 10000){ | 313 | if(tag == 10000){ |
| 314 | // 收货地址 | 314 | // 收货地址 |
| 315 | -// XWAddressController *vc = [[XWAddressController alloc]init]; | ||
| 316 | -// [self.navigationController pushViewController:vc animated:YES]; | 315 | + id<CNLiveOrderServiceProtocol> service = [[BeeHive shareInstance] createService:@protocol(CNLiveOrderServiceProtocol)]; |
| 316 | + [service pushToAddressViewController]; | ||
| 317 | } | 317 | } |
| 318 | else if(tag == 10001){ | 318 | else if(tag == 10001){ |
| 319 | // 余额 | 319 | // 余额 |
| @@ -341,10 +341,20 @@ static const CGFloat timeValue = 1.5; | @@ -341,10 +341,20 @@ static const CGFloat timeValue = 1.5; | ||
| 341 | [service pushToSettingViewController]; | 341 | [service pushToSettingViewController]; |
| 342 | } | 342 | } |
| 343 | else if(tag == 10006){ | 343 | else if(tag == 10006){ |
| 344 | + // 小家音响 | ||
| 345 | + | ||
| 346 | + } | ||
| 347 | + else if(tag == 10007){ | ||
| 348 | + // 我的礼盒 | ||
| 349 | + id<CNLiveOrderServiceProtocol> service = [[BeeHive shareInstance] createService:@protocol(CNLiveOrderServiceProtocol)]; | ||
| 350 | + [service pushToGiftBoxViewController]; | ||
| 351 | + } | ||
| 352 | + else if(tag == 10008){ | ||
| 344 | // 路径工具 | 353 | // 路径工具 |
| 345 | // XWOrdersController *vc = [[XWOrdersController alloc]init]; | 354 | // XWOrdersController *vc = [[XWOrdersController alloc]init]; |
| 346 | // [self.navigationController pushViewController:vc animated:YES]; | 355 | // [self.navigationController pushViewController:vc animated:YES]; |
| 347 | } | 356 | } |
| 357 | + | ||
| 348 | } | 358 | } |
| 349 | break; | 359 | break; |
| 350 | case CNLiveMineCellTypeGoods: | 360 | case CNLiveMineCellTypeGoods: |
Example/CNLiveMineModule.xcodeproj/project.pbxproj
| @@ -234,8 +234,8 @@ | @@ -234,8 +234,8 @@ | ||
| 234 | 6003F586195388D20070C39A /* Sources */, | 234 | 6003F586195388D20070C39A /* Sources */, |
| 235 | 6003F587195388D20070C39A /* Frameworks */, | 235 | 6003F587195388D20070C39A /* Frameworks */, |
| 236 | 6003F588195388D20070C39A /* Resources */, | 236 | 6003F588195388D20070C39A /* Resources */, |
| 237 | - 21827A7B36794555195C96EE /* [CP] Embed Pods Frameworks */, | ||
| 238 | - 4FE3061A9B5E875D3E1CEA15 /* [CP] Copy Pods Resources */, | 237 | + 8BC5D5341908A554008FD210 /* [CP] Embed Pods Frameworks */, |
| 238 | + ECC8F98B1422C65FB0FA5F8B /* [CP] Copy Pods Resources */, | ||
| 239 | ); | 239 | ); |
| 240 | buildRules = ( | 240 | buildRules = ( |
| 241 | ); | 241 | ); |
| @@ -326,7 +326,7 @@ | @@ -326,7 +326,7 @@ | ||
| 326 | /* End PBXResourcesBuildPhase section */ | 326 | /* End PBXResourcesBuildPhase section */ |
| 327 | 327 | ||
| 328 | /* Begin PBXShellScriptBuildPhase section */ | 328 | /* Begin PBXShellScriptBuildPhase section */ |
| 329 | - 21827A7B36794555195C96EE /* [CP] Embed Pods Frameworks */ = { | 329 | + 8BC5D5341908A554008FD210 /* [CP] Embed Pods Frameworks */ = { |
| 330 | isa = PBXShellScriptBuildPhase; | 330 | isa = PBXShellScriptBuildPhase; |
| 331 | buildActionMask = 2147483647; | 331 | buildActionMask = 2147483647; |
| 332 | files = ( | 332 | files = ( |
| @@ -430,30 +430,6 @@ | @@ -430,30 +430,6 @@ | ||
| 430 | shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-frameworks.sh\"\n"; | 430 | shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-frameworks.sh\"\n"; |
| 431 | showEnvVarsInLog = 0; | 431 | showEnvVarsInLog = 0; |
| 432 | }; | 432 | }; |
| 433 | - 4FE3061A9B5E875D3E1CEA15 /* [CP] Copy Pods Resources */ = { | ||
| 434 | - isa = PBXShellScriptBuildPhase; | ||
| 435 | - buildActionMask = 2147483647; | ||
| 436 | - files = ( | ||
| 437 | - ); | ||
| 438 | - inputPaths = ( | ||
| 439 | - "${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh", | ||
| 440 | - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMineModule/CNLiveMineModule.bundle", | ||
| 441 | - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMyOrderModule/CNLiveMyOrderModule.bundle", | ||
| 442 | - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveQrCodeModule/CNLiveQrCodeModule.bundle", | ||
| 443 | - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveSettingModule/CNLiveSettingModule.bundle", | ||
| 444 | - ); | ||
| 445 | - name = "[CP] Copy Pods Resources"; | ||
| 446 | - outputPaths = ( | ||
| 447 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMineModule.bundle", | ||
| 448 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMyOrderModule.bundle", | ||
| 449 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveQrCodeModule.bundle", | ||
| 450 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveSettingModule.bundle", | ||
| 451 | - ); | ||
| 452 | - runOnlyForDeploymentPostprocessing = 0; | ||
| 453 | - shellPath = /bin/sh; | ||
| 454 | - shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh\"\n"; | ||
| 455 | - showEnvVarsInLog = 0; | ||
| 456 | - }; | ||
| 457 | A9B5D0EFC5B6FCA241FAE929 /* [CP] Check Pods Manifest.lock */ = { | 433 | A9B5D0EFC5B6FCA241FAE929 /* [CP] Check Pods Manifest.lock */ = { |
| 458 | isa = PBXShellScriptBuildPhase; | 434 | isa = PBXShellScriptBuildPhase; |
| 459 | buildActionMask = 2147483647; | 435 | buildActionMask = 2147483647; |
| @@ -498,6 +474,30 @@ | @@ -498,6 +474,30 @@ | ||
| 498 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | 474 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; |
| 499 | showEnvVarsInLog = 0; | 475 | showEnvVarsInLog = 0; |
| 500 | }; | 476 | }; |
| 477 | + ECC8F98B1422C65FB0FA5F8B /* [CP] Copy Pods Resources */ = { | ||
| 478 | + isa = PBXShellScriptBuildPhase; | ||
| 479 | + buildActionMask = 2147483647; | ||
| 480 | + files = ( | ||
| 481 | + ); | ||
| 482 | + inputPaths = ( | ||
| 483 | + "${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh", | ||
| 484 | + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMineModule/CNLiveMineModule.bundle", | ||
| 485 | + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMyOrderModule/CNLiveMyOrderModule.bundle", | ||
| 486 | + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveQrCodeModule/CNLiveQrCodeModule.bundle", | ||
| 487 | + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveSettingModule/CNLiveSettingModule.bundle", | ||
| 488 | + ); | ||
| 489 | + name = "[CP] Copy Pods Resources"; | ||
| 490 | + outputPaths = ( | ||
| 491 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMineModule.bundle", | ||
| 492 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMyOrderModule.bundle", | ||
| 493 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveQrCodeModule.bundle", | ||
| 494 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveSettingModule.bundle", | ||
| 495 | + ); | ||
| 496 | + runOnlyForDeploymentPostprocessing = 0; | ||
| 497 | + shellPath = /bin/sh; | ||
| 498 | + shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh\"\n"; | ||
| 499 | + showEnvVarsInLog = 0; | ||
| 500 | + }; | ||
| 501 | /* End PBXShellScriptBuildPhase section */ | 501 | /* End PBXShellScriptBuildPhase section */ |
| 502 | 502 | ||
| 503 | /* Begin PBXSourcesBuildPhase section */ | 503 | /* Begin PBXSourcesBuildPhase section */ |